Bug 720249 - Floating point exception when running ipmiutil sel
Summary: Floating point exception when running ipmiutil sel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ipmiutil
Version: el6
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andy Cress
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-11 08:02 UTC by Volker Fröhlich
Modified: 2011-08-05 08:29 UTC (History)
1 user (show)

Fixed In Version: ipmiutil-2.7.7-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-05 08:29:13 UTC
Type: ---


Attachments (Terms of Use)

Description Volker Fröhlich 2011-07-11 08:02:14 UTC
ipmiutil-2.7.1-1.el6.x86_64

(gdb) run
Starting program: /usr/sbin/ipmiutil sel
[Thread debugging using libthread_db enabled]
ipmiutil ver 2.71
isel: version 2.71
-- BMC version 1.25, IPMI version 2.0 

Program received signal SIGFPE, Arithmetic exception.
0x0000000000422209 in ReadSELinfo (
    argc=<value optimized out>, 
    argv=<value optimized out>) at isel.c:620
620                     vtotal = vused + (vfree/vsize); // will be updated with Allocation info
(gdb) bt
#0  0x0000000000422209 in ReadSELinfo (
    argc=<value optimized out>, 
    argv=<value optimized out>) at isel.c:620
#1  i_sel (argc=<value optimized out>, 
    argv=<value optimized out>) at isel.c:788
#2  0x0000000000403597 in main (argc=1, 
    argv=0x7fffffffe690) at ipmiutil.c:143
(gdb)

Comment 1 Volker Fröhlich 2011-07-11 08:41:49 UTC
Your 2.7.6 build doesn't throw the error. By the way, there is a 2.7.7 release.

Comment 2 Andy Cress 2011-07-15 18:34:42 UTC
Yes the problem stems from vsize reporting back as 0 from GetAllocationInfo.  The newer releases use the default vsize and only try to do GetAllocationInfo if needed/supported.  

I had thought that the master 2.7.6 build had been propagated to el6, but apparently that didn't complete successfully.  Since the 2.7.7 release is out, I'll add that to both master and el6 to resolve this.

Comment 3 Fedora Update System 2011-07-15 21:52:13 UTC
ipmiutil-2.7.7-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ipmiutil-2.7.7-1.el6

Comment 4 Fedora Update System 2011-07-18 18:36:01 UTC
Package ipmiutil-2.7.7-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing ipmiutil-2.7.7-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/ipmiutil-2.7.7-1.el6
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-08-05 08:29:08 UTC
ipmiutil-2.7.7-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.